package org.apidesign.apifest08.currency;

/**
 * Used when value cannot be get from the source
 * @author Ladislav Vitasek
 */
public class CannotProvideValueException extends RuntimeException {

    public CannotProvideValueException() {
        super();
    }

    public CannotProvideValueException(String message) {
        super(message);
    }

    public CannotProvideValueException(String message, Throwable cause) {
        super(message, cause);
    }

    public CannotProvideValueException(Throwable cause) {
        super(cause);
    }
}
